const {
    GraphQLInt,
    GraphQLString,
    GraphQLList,
    GraphQLObjectType,
    GraphQLID,
  } = require('graphql');
  
const  db  = require('../../models');

const Ad = db.ads;
const AdType = require('./../types/adType')  


//return one Ad
exports.deleteAdMutation = {
    type : AdType,
    description: 'Delete an Ad',
    args:{
        id : {
            type:GraphQLID
        }
    },
    resolve: async (parent, args ) => await Ad.findByIdAndRemove(args.id).exec()
}; 
// mutation{
//     adDelete(id:"61880409f942639ba444c6ce"){
//       id
//     }
//   }